Skip to content
CompozyOS RuntimeAPI Reference

Skills

Compozy Skills HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET/api/skills

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/skills"
{  "skills": [    {      "activation": {        "active": true,        "reasons": [          {            "code": "platform_mismatch",            "gate": "string",            "message": "string",            "missing": [              "string"            ]          }        ]      },      "description": "string",      "diagnostics": [        {          "activation_reasons": [            {              "code": "platform_mismatch",              "gate": "string",              "message": "string",              "missing": [                "string"              ]            }          ],          "failure": {            "actual_hash": "string",            "code": "string",            "expected_hash": "string",            "message": "string"          },          "name": "string",          "path": "string",          "source": "string",          "state": "valid",          "verification_status": "passed",          "warnings": [            {              "message": "string",              "pattern": "string",              "severity": "string"            }          ],          "winning_path": "string",          "winning_source": "string"        }      ],      "dir": "string",      "enabled": true,      "metadata": {        "property1": null,        "property2": null      },      "name": "string",      "provenance": {        "installed_at": "2019-08-24T14:15:22Z",        "installed_from_bundle": "string",        "installed_from_extension": "string",        "precedence_tier": "string",        "registry": "string",        "shadowed_by": [          {            "detected_at": "2019-08-24T14:15:22Z",            "path": "string",            "resolved_to_winner": true,            "tier": "string"          }        ],        "slug": "string",        "version": "string"      },      "source": "string",      "version": "string"    }  ]}
POST/api/skills/marketplace/install

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/skills/marketplace/install" \  -H "Content-Type: application/json" \  -d '{    "slug": "string"  }'
{  "skill": {    "hash": "string",    "name": "string",    "path": "string",    "registry": "string",    "slug": "string",    "status": "string",    "version": "string"  }}
POST/api/skills/marketplace/update

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/skills/marketplace/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "skills": [    {      "current_version": "string",      "latest_version": "string",      "name": "string",      "path": "string",      "slug": "string",      "status": "string"    }  ]}
DELETE/api/skills/marketplace/{name}

Path Parameters

name*string

Installed skill name

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/skills/marketplace/string"
{  "skill": {    "name": "string",    "path": "string",    "slug": "string",    "status": "string"  }}
GET/api/skills/{name}

Path Parameters

name*string

Skill name

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/skills/string"
{  "skill": {    "activation": {      "active": true,      "reasons": [        {          "code": "platform_mismatch",          "gate": "string",          "message": "string",          "missing": [            "string"          ]        }      ]    },    "description": "string",    "diagnostics": [      {        "activation_reasons": [          {            "code": "platform_mismatch",            "gate": "string",            "message": "string",            "missing": [              "string"            ]          }        ],        "failure": {          "actual_hash": "string",          "code": "string",          "expected_hash": "string",          "message": "string"        },        "name": "string",        "path": "string",        "source": "string",        "state": "valid",        "verification_status": "passed",        "warnings": [          {            "message": "string",            "pattern": "string",            "severity": "string"          }        ],        "winning_path": "string",        "winning_source": "string"      }    ],    "dir": "string",    "enabled": true,    "metadata": {      "property1": null,      "property2": null    },    "name": "string",    "provenance": {      "installed_at": "2019-08-24T14:15:22Z",      "installed_from_bundle": "string",      "installed_from_extension": "string",      "precedence_tier": "string",      "registry": "string",      "shadowed_by": [        {          "detected_at": "2019-08-24T14:15:22Z",          "path": "string",          "resolved_to_winner": true,          "tier": "string"        }      ],      "slug": "string",      "version": "string"    },    "source": "string",    "version": "string"  }}
GET/api/skills/{name}/content

Path Parameters

name*string

Skill name

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/skills/string/content"
{  "content": "string"}
POST/api/skills/{name}/disable

Path Parameters

name*string

Skill name

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/skills/string/disable"
{  "ok": true}
POST/api/skills/{name}/enable

Path Parameters

name*string

Skill name

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/skills/string/enable"
{  "ok": true}
GET/api/skills/{name}/shadows

Path Parameters

name*string

Skill name

Query Parameters

workspace?string

Workspace id or path for resolution context

for_agent?string

Logical agent name for agent-local resolution

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/skills/string/shadows"
{  "name": "string",  "shadows": [    {      "detected_at": "2019-08-24T14:15:22Z",      "path": "string",      "resolved_to_winner": true,      "tier": "string"    }  ],  "winner": {    "detected_at": "2019-08-24T14:15:22Z",    "path": "string",    "resolved_to_winner": true,    "tier": "string"  }}